Bug Hunting Session
Bug 115040 - Conditional formatting "between" - incorrect tab order
Summary: Conditional formatting "between" - incorrect tab order
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: accessibility
: 115177 (view as bug list)
Depends on:
Blocks: a11y Conditional-Formatting-Editing
  Show dependency treegraph
 
Reported: 2018-01-16 11:59 UTC by Dan Dascalescu
Modified: 2019-10-02 02:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast (143.62 KB, image/gif)
2018-01-16 11:59 UTC, Dan Dascalescu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2018-01-16 11:59:51 UTC
Created attachment 139126 [details]
Screencast

In the Conditional Formatting dialog, choose Cell value is, "between".

Click in the lower bound field, then press Tab. The cursor should jump to the upper bound field, but lands on "Add".
Comment 1 Julien Nabet 2018-01-16 15:02:53 UTC
On pc Debian x86-64 with master sources updated some days ago, I could reproduce this.

Xisco: should we consider this one as bug or as an enhancement?
Comment 2 Katarina Behrens (CIB) 2018-02-05 17:23:01 UTC
*** Bug 115177 has been marked as a duplicate of this bug. ***
Comment 3 Regina Henschel 2018-02-05 20:35:08 UTC
Change Importance to "normal", because it is an accessibility problem.
Comment 4 Commit Notification 2018-02-07 15:46:07 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7c0684216f5d6ba01a30099829b9248756b5b62

tdf#115040: selected condition is now Tab-reachable

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Katarina Behrens (CIB) 2018-02-07 17:07:02 UTC
So I can't set this bug to FIXED 'cause I'm at a loss as for how to solve keyboard navi between multiple conditions in the list (within one condition, it is easy with Tab)

Normally one uses cursor keys -- arrows up and down, PgUp, PgDown -- to navigate between the items in the list, but in this particular case this ain't possible. Cursor key events are consumed by listboxes and in fact, this is the only way how to control 'em w/ keyboard. 

Need to find some other way, but I don't see any atm, sry about that ...
Comment 6 QA Administrators 2019-10-02 02:55:46 UTC
Dear Dan Dascalescu,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug